package com.ichaoj.ams.script.zksync2.swap;

import com.ichaoj.ams.script.IScript;
import com.ichaoj.ams.script.SResult;
import com.ichaoj.ams.script.model.AirdropParam;
import com.ichaoj.ams.script.model.AirdropWallet;
import com.ichaoj.ams.script.transfer.TransferScript;
import org.junit.jupiter.api.Test;

import java.util.HashMap;
import java.util.Map;

import static org.junit.jupiter.api.Assertions.*;

class ZksyncMuteSwapEthForUsdcScriptTest {
    @Test
    void swapEth() {
        IScript script = new ZksyncSwapEthForUsdcScript();

        HashMap<String, AirdropParam> params = new HashMap<>();
        params.put("amount", new AirdropParam("amount", null, "0.0005"));
        AirdropWallet airdropWallet = new AirdropWallet();
        airdropWallet.setAddress("0x368715F09C1AB5E0B55bF5bA19cD887189A28DBE");
        airdropWallet.setPrivateKey("f9eac039449802f20cf0a38bc0b6f4064508fa61897d9c4fcb6cb66bd1311674");
        SResult sResult = script.run(params, airdropWallet);
        System.out.println(sResult);
    }

}